<?php
//javascript,css読み込み管理
function addStyles(){
	if(!is_admin()){
		wp_enqueue_style('style', get_bloginfo('stylesheet_url'));
		wp_enqueue_style('thick', get_bloginfo('url').'/wp-includes/js/thickbox/thickbox.css');
	}
}

add_action('wp_print_styles', 'addStyles');

function addScripts(){
	if(!is_admin()){
		wp_enqueue_script('jquery');
		wp_enqueue_script('func', get_bloginfo('template_url').'/js/func.js',array('jquery'));
		wp_enqueue_script('thick', get_bloginfo('url').'/wp-includes/js/thickbox/thickbox.js');
		echo "<script type=\"text/javascript\">\n";
		echo "/* <![CDATA[ */\n";
		echo "var tb_pathToImage = \"".get_option('siteurl')."/". WPINC."/js/thickbox/loadingAnimation.gif"."\";\n";
		echo "var tb_closeImage = \"".get_option('siteurl')."/". WPINC."/js/thickbox/tb-close.png"."\";\n";
		echo "var thickboxL10n = {
				next: \"次へ &gt;\",
				prev: \"&lt; 前へ\",
				image: \"画像\",
				of: \"/\",
				close: \"閉じる\",
				noiframes: \"この機能では iframe が必要です。現在 iframe を無効化しているか、対応していないブラウザーを使っているようです。\"
			};\n";
		echo "try{convertEntities(thickboxL10n);}catch(e){};\n";
		echo "/* ]]> */\n";
		echo "</script>\n";
	}
}

add_action('wp_print_scripts', 'addScripts');


//コメントとトラックバックを分割
add_filter('get_comments_number', 'comment_count', 0);
function trackback_count( $count )
{
	if ( ! is_admin() )
	{
		global $id;
		$comments_by_type = &separate_comments(get_comments('status=approve&post_id=' . $id));
		return count($comments_by_type['trackback']);
	}
	else
	{
		return $count;
	}
}

add_filter('get_comments_number', 'comment_count', 0);
function comment_count( $count )
{
	if ( ! is_admin() )
	{
		global $id;
		$comments_by_type = &separate_comments(get_comments('status=approve&post_id=' . $id));
		return count($comments_by_type['comment']);
	}
	else
	{
		return $count;
	}
}

//サイドバーウィジェット
if ( function_exists('register_sidebar') ){
    register_sidebar(array(
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => "</li>",
	    'before_title' => '<h3 class="subbar">',
	    'after_title' => "</h3>"
	));
}

//使わないウィジェット削除
function remove_widget() {
	unregister_widget('WP_Widget_Search');
	unregister_widget('WP_Widget_RSS');
}
add_action('widgets_init', 'remove_widget');

//メインメニュー
if ( function_exists( 'register_nav_menu' ) ) {
	register_nav_menu( 'head', 'ヘッダメニュー' );
}

//パンくず
function get_pan(){
	global $wp_query;

	if ( !is_home() ){

		if ( is_category() ) //カテゴリーページ
		{
			$catTitle = single_cat_title( "", false );
			$cat = get_cat_ID( $catTitle );
			echo '<p class="pan"><a href="'.get_settings('home').'">HOME</a> &raquo; '. get_category_parents( $cat, TRUE, " &raquo; " ) .'記事一覧</p>';
		}
		elseif ( is_single() ) //個別記事ページ
		{
			$category = get_the_category();
			$category_id = get_cat_ID( $category[0]->cat_name );

			echo '<div class="pan"><p><a href="'.get_settings('home').'">HOME</a> &raquo; '. get_category_parents( $category_id, TRUE, " &raquo; " );
			echo the_title('','', FALSE) ."</p></div>";
		}
		elseif ( is_month() ) //月別ページ
		{
			echo '<p class="pan">『 <b>';
			echo the_time('Y年n月').'</b> 』 の記事</p>';
		}
		elseif ( is_day() ) //日別ページ
		{
			echo '<p class="pan">『 <b>';
			echo the_time('Y年n月j日').'</b> 』 の記事</p>';
		}
		elseif ( is_tag() ) //タグページ
		{
			echo '<p class="pan">タグ 『 <b>';
			echo single_tag_title().'</b> 』 を含む記事</p>';
		}
		elseif ( is_search() )//検索結果ページ
		{
			echo '<p class="pan">『 <b>';
			echo the_search_query().'</b> 』 の検索結果</p>';
		}
	}
}

//ビジュアルリッチエディタのh1,h2消去
function custom_editor_settings( $initArray ){
	$initArray['theme_advanced_blockformats'] = 'p,address,pre,code,h3,h4,h5,h6';
	return $initArray;
}
add_filter( 'tiny_mce_before_init', 'custom_editor_settings' );

?>